<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron.virtual-security-domain" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="auth-method,outflow-anonymous,outflow-security-domains"/>
        <elem name="addr-params" value="profile,host,subsystem,virtual-security-domain"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.virtual-security-domain.$virtual-security-domain"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.security-domain.$outflow-security-domains" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.elytron"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="virtual-security-domain" feature-id="true"/>
        <param name="auth-method" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="outflow-anonymous" nillable="true" stability="default"/>
        <param name="outflow-security-domains" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>